// src/utils/path.ts
import { existsSync } from "node:fs";
import { dirname, join, parse } from "node:path";
function findProjectRoot(startDir) {
  let currentDir = startDir;
  while (currentDir !== parse(currentDir).root) {
    if (existsSync(join(currentDir, "package.json"))) {
      return currentDir;
    }
    currentDir = dirname(currentDir);
  }
  throw new Error("Unable to find project root");
}

export {
  findProjectRoot
};
//# sourceMappingURL=chunk-TGNRM6YP.js.map